Subject: Re: bug#63344: 29.0.90; (shr-zoom-image) doesn't zoom to buffer size

From: Eli Zaretskii <[email-masked]>
Date: Mon, 08 May 2023 14:34:35 +0300

> From: Pankaj Jangid <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 08 May 2023 10:36:46 +0530
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Thanks.  But what do you understand "full buffer size" to mean for the
> > dimension of an image?
> 
> I understood that "full buffer size" implies "window width" or may be
> "window height" if the aspect ration of image is that way.
> 
> If that is not the case then I have no clue what "full buffer size"
> means.

"Full buffer size" wrt an image is confusing in any case (an Emacs
buffer has no "dimensions"), but my reading of the code is that it is
interpreted as the window dimensions, unless the original size is
smaller than that.  Not sure if I'm right, though.

Adding Lars, who wrote that code, in the hope that he could clarify
this.